Inicio > SASS > Instalación SASS

Instalación SASS

5 noviembre 2016

Cómo instalar SASS, para ello siga estos pasos:

  1. Descarga Ruby y realiza su respectiva instalación: Para ello descargalo de la página http://rubyinstaller.org/downloads/
  2. Revisa que ruby efectivamente este instalado en su computadora, usando el comando:

    ruby -v

    El comando anterior le permitirá saber si hay alguna versión de Ruby instalada

  3. Ejecute la orden de instalación desde la consola de comandos de Windows:

    gem install sass

    Tenga en cuenta que según la distribución de Linux realizara la correspondiente instalación, por ejemplo para Ubunto Linux deberá digitar el siguiente comando:

    sudo gem install sass

  4. Si hay error?
    1. Es posible que le presente el mensaje:

      C:\Users\Usuario>gem install sass
      ERROR: Could not find a valid gem ‘sass’ (>= 0), here is why:
      Unable to download data from https://rubygems.org/ – SSL_connect retur
      ned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (
      https://api.rubygems.org/specs.4.8.gz)

  5. Cómo lo soluciono? En este caso debe instalar la ruta de datos como se indica
    1. Instalar el registro de datos de origen de las gemas

      C:\Users\Usuario>gem source -a http://rubygems.org/

      https://rubygems.org is recommended for security over http://rubygems.org/

      Do you want to add this insecure source? [yn] y
      http://rubygems.org/ added to sources

    2. Posteriormente de ingresar de nuevo el comando  de instalación de la la gema sass, como se indica a continuación:

      C:\Users\Usuario>gem install sass
      Fetching: sass-3.4.22.gem (100%)
      Successfully installed sass-3.4.22
      Parsing documentation for sass-3.4.22
      Installing ri documentation for sass-3.4.22
      Done installing documentation for sass after 9 seconds
      WARNING: Unable to pull data from ‘https://rubygems.org/’: SSL_connect returned
      =1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (htt
      ps://api.rubygems.org/specs.4.8.gz)
      1 gem installed

Cómo se puede ver ya quedó instada la aplicación para generar los nuevos estilos para web con sass.

Tenga en cuenta que para el caso de Linux debe usar el comando:

sudo gem install sass

Verifica la versión con el comando:

sass -v

Cualquier ayuda para sass deberá digitar en la consola el comando:

sass -help

Categorías:SASS
A %d blogueros les gusta esto: